Subject: Re: bug#46907: [PATCH] Update zsh completion file for guix command.

From: Brice Waegeneire <[email-masked]>
Date: Sat, 28 Aug 2021 17:58:45 +0200

Hello Noah,

I managed to fix your submited patch, by saving it with in "gnus-article-mode"
in Emacs and having a single spave before each context lines.

When applied I checked the arguments of each commands, fixed some duplicated
or missing ones, added your copyright, updated the guix commands list and wrote
a commit message.

I've puhsed it as a8dd285d5a0670abf124a721e6ba94da045b24ba.

ATM we are still missing completions for transform options, each importer
options and the following commands:
- archive
- edit
- copy
- git
- deploy
- describe
- pack
- search
- show
- weather
- offload
- processes
- repl

I think the current pattern of copying bits from the “--help” shows it's limit
as it's difficult to stay in sync with the actual “guix” arguments.  It would be
better to get thoses string at run time as it's done in bash's completions.

Cheers,
- Brice